<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');



if($_GET['codigo']) $codigo=$_GET['codigo']; else $codigo=$_POST['codigo'];
if($_GET['descripcion']) $descripcion=$_GET['descripcion']; else $descripcion=$_POST['descripcion'];
if($_GET['regimen']) $regimen=$_GET['regimen']; else $regimen=$_POST['regimen'];
if($_GET['precinta']) $precinta=$_GET['precinta']; else $precinta=$_POST['precinta'];
if($_GET['lote']) $lote=$_GET['lote']; else $lote=$_POST['lote'];
if($_GET['fechaCaducidad']) $fechaCaducidad=$_GET['fechaCaducidad']; else $fechaCaducidad=$_POST['fechaCaducidad'];
if($_GET['numSerie']) $numSerie=$_GET['numSerie']; else $numSerie=$_POST['numSerie'];
if($_GET['cantidad']) $cantidad=$_GET['cantidad']; else $cantidad=$_POST['cantidad'];
if($_GET['observaciones']) $observaciones=$_GET['observaciones']; else $observaciones=$_POST['observaciones'];

if($_GET['embalajePrimarioCaja']) $embalajePrimarioCaja=$_GET['embalajePrimarioCaja']; else $embalajePrimarioCaja=$_POST['embalajePrimarioCaja'];
if($_GET['decimales']) $decimales=$_GET['decimales']; else $decimales=$_POST['decimales'];
if($_GET['cajas']) $cajas=$_GET['cajas']; else $cajas=$_POST['cajas'];

if(!isset($_SESSION['inventarioSGA']['incluirNuevos'])) $_SESSION['inventarioSGA']['incluirNuevos']=array();



//04-03-2024 primero miramos que el producto no esté antes

$elProductoYaExiste=false;

/*
echo 'codigo: '.$codigo.'<br>';
echo 'regimen: '.$regimen.'<br>';
echo 'precinta: '.$precinta.'<br>';
echo 'lote: '.$lote.'<br>';
echo 'fechaCaducidad: '.fechaParaProxium(fechaMysql($fechaCaducidad)).'<br>';
echo 'NumSerie: '.$NumSerie.'<br>';
*/

foreach($_SESSION['inventarioSGA']['listaProductos'] as $item) {
	//print_r($item);
	if( $item['Producto']==$codigo
		&& $item['Regimen']==$regimen
		&& ($item['Precinta']==$precinta || ($item['Precinta']=='-' && $precinta=='') )
		&& ($item['Lote']==$lote || ($item['Lote']=='-' && $lote=='') )
		&& ($item['Caducidad']==fechaParaProxium(fechaMysql($fechaCaducidad)) || ($item['Caducidad']=='-' && $fechaCaducidad=='') )
		&& ($item['NumSerie']==$numSerie || ($item['NumSerie']=='-' && $numSerie=='') )
		)
		$elProductoYaExiste=true;
}

foreach($_SESSION['inventarioSGA']['incluirNuevos'] as $item) {
	//print_r($item);
	if( $item['Producto']==$codigo
		&& $item['Regimen']==$regimen
		&& ( $item['Precinta']==$precinta ) //en los nuevos ya no hemos grabado guiones
		&& ( $item['Lote']==$lote )
		&& ( $item['Caducidad']==$fechaCaducidad ) //la caducidad la grabamos en español
		&& ( $item['NumSerie']==$numSerie )
		)
		$elProductoYaExiste=true;
}

//echo '<p>elProductoYaExiste: '.$elProductoYaExiste.'</p>';

if(!$elProductoYaExiste) {

	end($_SESSION['inventarioSGA']['incluirNuevos']);
	$nuevaClave=key($_SESSION['inventarioSGA']['incluirNuevos'])+1;
	
	$_SESSION['inventarioSGA']['incluirNuevos'][$nuevaClave]=array(
		'Producto' => $codigo,
		'ProductoDescripcion' => $descripcion,
		'Regimen' => $regimen,
		'Precinta' => $precinta,
		'Lote' => $lote,
		'Caducidad' => $fechaCaducidad,
		'NumSerie' => $numSerie,
		'Cantidad' => $cantidad,
		'Observaciones' => $observaciones,
		'EmbalajePrimarioCaja' => $embalajePrimarioCaja,
		'Decimales' => $decimales,
		'Cajas' => $cajas
	);
	
	echo 'ok';
	
}
else echo 'ERROR: El producto ya está incluido en el detalle de este palet.';

?>